net.i2p.router.news

## Class NewsMetadata.Release

- java.lang.Object
- - net.i2p.router.news.NewsMetadata.Release

- All Implemented Interfaces:
    Comparable<NewsMetadata.Release>
  Enclosing class:
    NewsMetadata

      public static class NewsMetadata.Release
      extends Object
      implements Comparable<NewsMetadata.Release>

  Represents a software release with version requirements and update sources.

  Contains release metadata including publication date, version requirements, and available update sources. Supports version comparison for determining latest releases and update ordering.

  All update source lists may be empty if no sources are available for this release. Provides structured access to release information for update management and version checking.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `date`
    `String` | `i2pVersion`
    `String` | `minJavaVersion`
    `String` | `minVersion`
    `List<NewsMetadata.Update>` | `updates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Release()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NewsMetadata.Release other)`
    `boolean` | `equals(Object o)` For findbugs.
    `int` | `hashCode()` For findbugs.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          public long date

    - #### i2pVersion

          public String i2pVersion

    - #### minJavaVersion

          public String minJavaVersion

    - #### minVersion

          public String minVersion

    - #### updates

          public List<NewsMetadata.Update> updates

  - ### Constructor Detail

    - #### Release

          public Release()

  - ### Method Detail

    - #### compareTo

          public int compareTo(NewsMetadata.Release other)

      Specified by:
        `compareTo` in interface `Comparable<NewsMetadata.Release>`

    - #### equals

          public boolean equals(Object o)

      For findbugs. Warning, not a complete comparison. Must be enhanced before using in a Map or Set.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      For findbugs.
      Overrides:
        `hashCode` in class `Object`